{
  config,
  lib,
  ...
}: let
  inherit (config.rose-pine) sources;
  cfg = config.programs.cava.rose-pine;
  enable = cfg.enable && config.programs.cava.enable;
  flavor =
    if (cfg.flavor == "main")
    then "rosepine"
    else cfg.flavor;
in {
  options.programs.cava.rose-pine = lib.rp.mkRosePineOpt {name = "cava";};

  config.programs.cava = lib.mkIf enable {
    settings = lib.rp.fromINIRaw (sources.cava + "/${flavor}.cava");
  };
}
