{
  config,
  pkgs,
  lib,
  ...
}: let
  inherit (lib) rp mkIf;
  cfg = config.rose-pine.pointerCursor;
  flavor =
    if (cfg.flavor == "dawn")
    then "Dawn"
    else "";
in {
  options.rose-pine.pointerCursor = rp.mkRosePineOpt {
    name = "pointer cursors";
    # NOTE: we exclude this from the global `rose-pine.enable` as there is no
    # `enable` option in the upstream module to guard it
    enableDefault = false;
  };

  config.home.pointerCursor = mkIf cfg.enable {
    name = "BreezeX-RosePine${flavor}-Linux";
    package = pkgs.rose-pine-cursor;
  };
}
