{
  config,
  lib,
  ...
}: let
  inherit (config.rose-pine) sources;

  cfg = config.programs.foot.rose-pine;
  enable = cfg.enable && config.programs.foot.enable;

  themeName =
    if (cfg.flavor == "main")
    then "rose-pine"
    else "rose-pine-${cfg.flavor}";
in {
  options.programs.foot.rose-pine = lib.rp.mkRosePineOpt {name = "foot";};

  config.programs.foot = lib.mkIf enable {
    settings.main.include = sources.foot + "/${themeName}.ini";
  };
}
